Package org.gdal.gdal

# Class AlgorithmArg

java.lang.Object
org.gdal.gdal.AlgorithmArg

public class AlgorithmArg extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `delete()`
  `boolean`
  `equals(Object obj)`
  `Vector`
  `GetAliases()`
  `boolean`
  `GetAsBoolean()`
  `ArgDatasetValue`
  `GetAsDatasetValue()`
  `double`
  `GetAsDouble()`
  `int`
  `GetAsInteger()`
  `String`
  `GetAsString()`
  `Vector`
  `GetAsStringList()`
  `String`
  `GetCategory()`
  `Vector`
  `GetChoices()`
  `int`
  `GetDatasetInputFlags()`
  `int`
  `GetDatasetOutputFlags()`
  `int`
  `GetDatasetType()`
  `boolean`
  `GetDefaultAsBoolean()`
  `double`
  `GetDefaultAsDouble()`
  `int`
  `GetDefaultAsInteger()`
  `String`
  `GetDefaultAsString()`
  `Vector`
  `GetDefaultAsStringList()`
  `String`
  `GetDescription()`
  `int`
  `GetMaxCount()`
  `Vector`
  `GetMetadataItem(String item)`
  `String`
  `GetMetaVar()`
  `int`
  `GetMinCount()`
  `String`
  `GetMutualExclusionGroup()`
  `String`
  `GetName()`
  `boolean`
  `GetPackedValuesAllowed()`
  `boolean`
  `GetRepeatedArgAllowed()`
  `String`
  `GetShortName()`
  `int`
  `GetType()`
  `boolean`
  `HasDefaultValue()`
  `int`
  `hashCode()`
  `boolean`
  `IsExplicitlySet()`
  `boolean`
  `IsHidden()`
  `boolean`
  `IsHiddenForAPI()`
  `boolean`
  `IsHiddenForCLI()`
  `boolean`
  `IsInput()`
  `boolean`
  `IsOutput()`
  `boolean`
  `IsPositional()`
  `boolean`
  `IsRequired()`
  `boolean`
  `SetAsBoolean(boolean value)`
  `boolean`
  `SetAsDatasetValue(ArgDatasetValue value)`
  `boolean`
  `SetAsDouble(double value)`
  `boolean`
  `SetAsDoubleList(double[] nList)`
  `boolean`
  `SetAsInteger(int value)`
  `boolean`
  `SetAsIntegerList(int[] nList)`
  `boolean`
  `SetAsString(String value)`
  `boolean`
  `SetAsStringList(Vector value)`
  `boolean`
  `SetDataset(Dataset ds)`
  `boolean`
  `SetDatasetNames(Vector names)`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### delete

    public void delete()

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### GetName

    public String GetName()

  - ### GetType

    public int GetType()

  - ### GetDescription

    public String GetDescription()

  - ### GetShortName

    public String GetShortName()

  - ### GetAliases

    public Vector GetAliases()

  - ### GetMetaVar

    public String GetMetaVar()

  - ### GetCategory

    public String GetCategory()

  - ### IsPositional

    public boolean IsPositional()

  - ### IsRequired

    public boolean IsRequired()

  - ### GetMinCount

    public int GetMinCount()

  - ### GetMaxCount

    public int GetMaxCount()

  - ### GetPackedValuesAllowed

    public boolean GetPackedValuesAllowed()

  - ### GetRepeatedArgAllowed

    public boolean GetRepeatedArgAllowed()

  - ### GetChoices

    public Vector GetChoices()

  - ### GetMetadataItem

    public Vector GetMetadataItem(String item)

  - ### IsExplicitlySet

    public boolean IsExplicitlySet()

  - ### HasDefaultValue

    public boolean HasDefaultValue()

  - ### GetDefaultAsBoolean

    public boolean GetDefaultAsBoolean()

  - ### GetDefaultAsString

    public String GetDefaultAsString()

  - ### GetDefaultAsInteger

    public int GetDefaultAsInteger()

  - ### GetDefaultAsDouble

    public double GetDefaultAsDouble()

  - ### GetDefaultAsStringList

    public Vector GetDefaultAsStringList()

  - ### IsHidden

    public boolean IsHidden()

  - ### IsHiddenForCLI

    public boolean IsHiddenForCLI()

  - ### IsHiddenForAPI

    public boolean IsHiddenForAPI()

  - ### IsInput

    public boolean IsInput()

  - ### IsOutput

    public boolean IsOutput()

  - ### GetDatasetType

    public int GetDatasetType()

  - ### GetDatasetInputFlags

    public int GetDatasetInputFlags()

  - ### GetDatasetOutputFlags

    public int GetDatasetOutputFlags()

  - ### GetMutualExclusionGroup

    public String GetMutualExclusionGroup()

  - ### GetAsBoolean

    public boolean GetAsBoolean()

  - ### GetAsString

    public String GetAsString()

  - ### GetAsInteger

    public int GetAsInteger()

  - ### GetAsDouble

    public double GetAsDouble()

  - ### GetAsDatasetValue

    public ArgDatasetValue GetAsDatasetValue()

  - ### GetAsStringList

    public Vector GetAsStringList()

  - ### SetAsBoolean

    public boolean SetAsBoolean(boolean value)

  - ### SetAsString

    public boolean SetAsString(String value)

  - ### SetAsInteger

    public boolean SetAsInteger(int value)

  - ### SetAsDouble

    public boolean SetAsDouble(double value)

  - ### SetAsDatasetValue

    public boolean SetAsDatasetValue(ArgDatasetValue value)

  - ### SetAsStringList

    public boolean SetAsStringList(Vector value)

  - ### SetAsIntegerList

    public boolean SetAsIntegerList(int[] nList)

  - ### SetAsDoubleList

    public boolean SetAsDoubleList(double[] nList)

  - ### SetDataset

    public boolean SetDataset(Dataset ds)

  - ### SetDatasetNames

    public boolean SetDatasetNames(Vector names)